View Issue Details

IDProjectCategoryView StatusLast Update
0006853mantisbtdb oraclepublic2015-03-16 19:20
Reporterpedro_lisboaAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0006853: Instalation in oracle Database ...
Description

Hello, i want to know the status off this feature .
If any help is needed, just say .

TagsNo tags attached.

Relationships

related to 0005289 closedgrangeway Use ADODB DataDict for DB Creation / Upgrade 
child of 0013227 closeddregad Oracle DB support multiple issues 

Activities

vboctor

vboctor

2006-03-16 04:54

manager   ~0012346

Such questions are better addressed on the forums ( http://forums.mantisbt.org ). If you search for "Oracle" you will find several threads discussing this issue.

pedro_lisboa

pedro_lisboa

2006-03-16 05:13

reporter   ~0012347

Hello, i have already read the note http://forums.mantisbt.org/viewtopic.php?t=61&highlight=oracle, i want to know what is the status off the feature and what help is needed to install mantis under oracle database (now that oracle as a free db , i think that is possible to test : http://www.oracle.com/technology/products/database/xe/index.html ) .

vboctor

vboctor

2006-03-16 05:42

manager   ~0012348

I always see bursts of activity in this area, but I am not aware of someone who took this to complete maturity.

The best thing you can do to help with this is to downloaded Mantis 1.0.1 and trouble shoot any issues and provide patches that we can commit.

pedro_lisboa

pedro_lisboa

2006-03-20 04:15

reporter   ~0012373

I have already dowload the mastins 101 version, and enabled it in may webserver .
My install.php dows not show any option to oracle database... can you help me .

Tks

pedro_lisboa

pedro_lisboa

2006-03-20 10:53

reporter   ~0012375

Reminder sent to: vboctor

Any news ?

thraxisp

thraxisp

2006-03-27 21:20

reporter   ~0012426

Oracle is not in the installer, but you should be able to extract an SQL file using, say PostgreSQL, and selecting "Print SQL Queries instead of Writing to the Database". Any feedback on incorrect queries would be useful.

pedro_lisboa

pedro_lisboa

2006-03-28 02:18

reporter   ~0012427

So the instalation is made in what database (My sql ) ? than you want that the queries be analized ?

Related Changesets

MantisBT: master 2ce60e47

2011-08-10 12:34:07

dregad

Details Diff
Fix 0013227: Oracle database support (oci8)

Mantis 1.2.6 currently does not work with Oracle DB:
1. Installation:
1.1. Oracle DB autocreates PK, so index creation for same field forbidden
1.2. Oracle DB uses datetime literal format timestamp'YYYY-MM-DD HH-MI:SS'
1.3. Oracle DB don't allows altering field property NOT NULL into NOT NULL
1.4. Oracle DB max object length is 30 chars, so some index names must be reduced
1.5. Oracle DB means empty string as NULLs, so NOT NULL restriction must be disabled for some field
1.6. Oracle DB can resolve database server name through TNS, so database name cannot be required
2. General:
2.2. Direct DB query execution result accessing instead of db_fetch_array() 1.3. usage didn't works with Oracle DB
2.4. Oracle DB binds variable by name, so bind names in statement must be sorted to address them.
2.5. Oracle DB handles NULL/DEFAULT values with specific way.
2.6. Oracle DB returns NULL value as true PHP null
2.7. Oracle DB handles sequence access with specific syntax
2.8. Nothing returned by db_prepare_string() in case of oci8
2.9. Oracle DB max object length is 30 chars, so table names must be reduced
2.10. Oracle DB uses LOB literal format similar to mssql
2.11. GetRowAssoc returns empty field values with oci8, it's need to enable returning both associative and indexed arrays.

The original patch was provided by DKuranov. He reckons that this also resolves
issues 0006853, 0007644, 0010437, 0010996, 0011265, 0011270, 0011276, 0012152, 0012478

Porting to 1.3 - Conflicts:
admin/install.php
admin/schema.php
core/database_api.php
manage_tags_page.php
mod - admin/install.php Diff File
mod - admin/schema.php Diff File
mod - core/database_api.php Diff File

Issue History

Date Modified Username Field Change
2006-03-16 04:47 pedro_lisboa New Issue
2006-03-16 04:54 vboctor Status new => resolved
2006-03-16 04:54 vboctor Resolution open => no change required
2006-03-16 04:54 vboctor Assigned To => vboctor
2006-03-16 04:54 vboctor Note Added: 0012346
2006-03-16 05:13 pedro_lisboa Status resolved => feedback
2006-03-16 05:13 pedro_lisboa Resolution no change required => reopened
2006-03-16 05:13 pedro_lisboa Note Added: 0012347
2006-03-16 05:42 vboctor Note Added: 0012348
2006-03-20 04:15 pedro_lisboa Note Added: 0012373
2006-03-20 10:53 pedro_lisboa Note Added: 0012375
2006-03-27 21:20 thraxisp Note Added: 0012426
2006-03-27 21:22 thraxisp Relationship added related to 0005289
2006-03-28 02:18 pedro_lisboa Note Added: 0012427
2009-07-28 09:14 vboctor Assigned To vboctor =>
2009-07-28 09:14 vboctor Category feature => db oracle
2011-08-09 11:55 dregad Relationship added parent of 0013227
2013-10-17 12:08 dregad Changeset attached => MantisBT master 2ce60e47
2013-10-17 12:51 dregad Target Version => 1.3.0-beta.1
2013-10-17 12:52 dregad Status feedback => resolved
2013-10-17 12:52 dregad Fixed in Version => 1.3.0-beta.1
2013-10-17 12:52 dregad Resolution reopened => fixed
2013-10-17 12:52 dregad Assigned To => dregad
2014-04-12 19:39 grangeway Issue cloned: 0017203
2014-12-08 00:34 vboctor Status resolved => closed
2015-03-16 19:20 dregad Relationship replaced child of 0013227